View Issue Details

IDProjectCategoryView StatusLast Update
0000943bareos-core[All Projects] Generalpublic2018-06-22 17:13
ReportertuxmasterAssigned To 
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformX86_64OSFedoraOS Version28
Product Version17.2.5 
Target VersionFixed in Version17.2.6 
Summary0000943: Build fails because Sun RPC call's are removed under Fedora 28
DescriptionSince Fedora 28 the Sun RPC are deprecated and removed.
The replacement library(libtirpc) are not detected.
Additional Informationhttps://fedoraproject.org/wiki/Changes/SunRPCRemoval
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

child of 0000916 resolvedjoergs Release bareos-17.2.6 

Activities

tuxmaster

tuxmaster

2018-05-27 17:45

reporter  

bareos-Fedora28.patch (2,494 bytes)
diff -Nur bareos-Release-17.2.5.org/src/dird/Makefile.in bareos-Release-17.2.5/src/dird/Makefile.in
--- bareos-Release-17.2.5.org/src/dird/Makefile.in	2018-05-27 17:03:37.989752470 +0200
+++ bareos-Release-17.2.5/src/dird/Makefile.in	2018-05-27 17:19:48.612474946 +0200
@@ -53,7 +53,7 @@
 TSTFNDSRCS = testfind.c dird_conf.c ua_acl.c ua_audit.c run_conf.c inc_conf.c
 TSTFNDOBJS = $(TSTFNDSRCS:.c=.o)
 
-INCLUDES += -I$(srcdir) -I$(basedir) -I$(basedir)/include -I$(basedir)/lmdb -I$(basedir)/ndmp
+INCLUDES += -I$(srcdir) -I$(basedir) -I$(basedir)/include -I$(basedir)/lmdb -I$(basedir)/ndmp -I/usr/include/tirpc
 
 JANSSON_CPPFLAGS = @JANSSON_INC@
 
diff -Nur bareos-Release-17.2.5.org/src/ndmp/Makefile.in bareos-Release-17.2.5/src/ndmp/Makefile.in
--- bareos-Release-17.2.5.org/src/ndmp/Makefile.in	2018-05-27 17:03:37.972752420 +0200
+++ bareos-Release-17.2.5/src/ndmp/Makefile.in	2018-05-27 17:32:39.240459917 +0200
@@ -79,8 +79,9 @@
 WRAP_TAR_OBJS = $(WRAP_TAR_SRCS:.c=.lo)
 WRAP_TEST_OBJS = $(WRAP_TEST_SRCS:.c=.lo)
 
-INCLUDES += -I. -I$(srcdir) -I$(basedir) -I$(basedir)/include
+INCLUDES += -I. -I$(srcdir) -I$(basedir) -I$(basedir)/include -I/usr/include/tirpc
 CFLAGS += -DNDMOS_OPTION_PRETTYPRINT_HUMAN_READABLE_IP
+LDFLAGS += -ltirpc
 # CFLAGS += -DNDMOS_OPTION_NO_TEST_AGENTS
 
 .SUFFIXES:	.c .cc .o .lo .ch .dvi .pdf .tex .view .w .1
@@ -90,11 +91,11 @@
 # inference rules
 .c.o:
 	@echo "Compiling $<"
-	$(NO_ECHO)$(CC) $(DEFS) $(DEBUG) -c $(WCFLAGS) $(CPPFLAGS) $(INCLUDES) $(DINCLUDE) $(CFLAGS) $<
+	$(NO_ECHO)$(CC) $(DEFS) $(DEBUG) -c $(WCFLAGS) $(CPPFLAGS) $(INCLUDES) $(DINCLUDE) $(CFLAGS) $(LDFLAGS) $<
 
 .c.lo:
 	@echo "Compiling $<"
-	$(NO_ECHO)$(LIBTOOL_COMPILE) $(CC) $(DEFS) $(DEBUG) -c $(WCFLAGS) $(CPPFLAGS) $(INCLUDES) $(DINCLUDE) $(CFLAGS) $<
+	$(NO_ECHO)$(LIBTOOL_COMPILE) $(CC) $(DEFS) $(DEBUG) -c $(WCFLAGS) $(CPPFLAGS) $(INCLUDES) $(DINCLUDE) $(CFLAGS) $(LDFLAGS) $<
 
 .cc.o:
 	@echo "Compiling $<"
diff -Nur bareos-Release-17.2.5.org/src/stored/Makefile.in bareos-Release-17.2.5/src/stored/Makefile.in
--- bareos-Release-17.2.5.org/src/stored/Makefile.in	2018-05-27 17:03:37.976752432 +0200
+++ bareos-Release-17.2.5/src/stored/Makefile.in	2018-05-27 17:22:03.298817998 +0200
@@ -91,7 +91,7 @@
 DROPLET_INC = @DROPLET_INC@
 GLUSTER_INC = @GLUSTER_INC@
 RADOS_INC = @RADOS_INC@
-INCLUDES += -I$(srcdir) -I$(basedir) -I$(basedir)/include
+INCLUDES += -I$(srcdir) -I$(basedir) -I$(basedir)/include -I/usr/include/tirpc
 
 JANSSON_CPPFLAGS = @JANSSON_INC@
 
bareos-Fedora28.patch (2,494 bytes)
tuxmaster

tuxmaster

2018-05-27 17:46

reporter   ~0003017

I have attached the needed patch for Fedora 28.
joergs

joergs

2018-05-29 18:18

administrator   ~0003020

Thank you for your contribution. However I think, this has already been fixed recently by https://github.com/bareos/bareos/commit/d66659a752a3ee4dfc29eb2ea0bbdcb8b1f25350

Issue History

Date Modified Username Field Change
2018-05-05 11:17 tuxmaster New Issue
2018-05-27 17:45 tuxmaster File Added: bareos-Fedora28.patch
2018-05-27 17:46 tuxmaster Note Added: 0003017
2018-05-29 18:18 joergs Note Added: 0003020
2018-05-29 18:18 joergs Status new => resolved
2018-05-29 18:18 joergs Resolution open => fixed
2018-05-29 18:18 joergs Assigned To => joergs
2018-06-08 13:41 joergs Relationship added child of 0000916
2018-06-08 13:41 joergs bareos-master: impact => yes
2018-06-08 13:41 joergs bareos-master: action => fixed
2018-06-08 13:41 joergs bareos-17.2: impact => yes
2018-06-08 13:41 joergs bareos-17.2: action => fixed
2018-06-22 17:12 joergs Status resolved => closed
2018-06-22 17:12 joergs Fixed in Version => 17.2.6
2018-06-22 17:13 joergs Assigned To joergs =>